%define name	xbase
%define version 2.0.0
%define major 2
%define libname %mklibname %name %major


Summary:	Xbase dBase database file library
Name: 		%{name}
Version:	%{version}
Release: 	%mkrel 7
Source: 	%{name}-%{version}.tar.bz2
License:	LGPL
Group: 		Development/Other
URL:		http://linux.techass.com/projects/xdb/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  libstdc++-devel


%undefine __check_files

%description
Library for accessing dBase .dbf, .ndx, .dbt, and Clipper .ntx files.

%package -n %{libname}
Summary: Libraries needed for %{name}
Group:   System/Libraries
Provides: lib%{name} = %version-%release

%description -n %{libname}
Libraries needed for %{name}

%package -n %{libname}-devel
Summary: Xbase development package
Group: Development/Other
Requires: %{libname} = %version
Provides: %name-devel = %version-%release
Provides: lib%{name}-devel = %version-%release
Obsoletes: %{name}-devel < %version-%release

%description -n %{libname}-devel
Headers and such for compiling programs that use the Xbase library.

%prep
%setup -n %{name}-%{version} -q

%build
%{?__cputoolize:%{__cputoolize}}
%configure --enable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf $RPM_BUILD_ROOT/%{_bindir}/xbase-config

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig 

%post -n %{libname}-devel -p /sbin/ldconfig
%postun -n %{libname}-devel -p /sbin/ldconfig 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc NEWS README TODO AUTHORS COPYING ChangeLog
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root,-)
%doc docs html
%{_includedir}/xbase
%{_libdir}/*.so
%{_libdir}/*.*a


%changelog
* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-7mdv2008.1
+ Revision: 179556
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 11 2007 Adam Williamson <awilliamson@mandriva.com> 2.0.0-6mdv2008.0
+ Revision: 26391
- clean spec, rebuild for new era
- Import xbase



* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-5mdk
- fix build on x86_64

* Sat Jun 5 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-4mdk
- rebuild
- spec cleaning

* Sun Jan 11 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-3mdk
- correct typo in ntx.cpp

* Thu Dec 25 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-2mdk
- fix provides and requires

* Tue Nov 18 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-1mdk
- initial Mandrake release
- don't use configure macro (breaks build right now)
- needed for new rekall
